Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.app
Class FileCache

    java.lang.Object
      |
      +--com.macromedia.generator.app.GenCache
            |
            +--com.macromedia.generator.app.URLCache
                  |
                  +--com.macromedia.generator.app.FileCache

public class FileCache
extends URLCache

Fields inherited from class com.macromedia.generator.app.URLCache
`kMinBufferSize, mCheckModifiedSince, mDiskBufferSize, mForce, mNetBufferSize`

Fields inherited from class com.macromedia.generator.app.GenCache
`kLineBreak, mCurrentSize, mDefaultExpire, mDynamicMaintanence, mIndex, mLog, mMaxSize, mRecycle`

Constructor Summary
`FileCache(long l, boolean flag, boolean flag1, long l1, boolean flag2, boolean flag3, int i, int j, CacheLog cachelog)`

Method Summary
`protected void` | `dispose()`
`void` | `flush()`
`protected java.lang.Object` | `getCacheURL(java.net.URL url)`
`boolean` | `getLoad()`
`void` | `loadIndex()`
`protected void` | `logCacheMessage(java.lang.String s, int i)`
`protected byte[]` | `readURLInputStream(java.net.URL url, java.io.InputStream inputstream, long l, int i, boolean flag, long l1)`
`protected byte[]` | `readURLLocalFile(java.net.URL url, boolean flag, long l)`
`protected void` | `removeCacheEntry(GenCacheEntry gencacheentry)`
`void` | `setLoad(boolean flag)`
`protected boolean` | `verifyCacheValue(GenCacheEntry gencacheentry)`

Methods inherited from class com.macromedia.generator.app.URLCache
`checkModifiedSince, fetchURLData, getCacheURLEntry, getCacheURLTime, getCheckModifiedSince, getDiskBufferSize, getForce, getNetBufferSize, getURLData, getURLLocalPath, isLocal, makeJavaPretty, makeSystemPretty, readFile, readInputStream, removeCacheURL, setBufferSize, setCacheURL, setCheckModifiedSince, setForce, stripLocalPrefix`

Methods inherited from class com.macromedia.generator.app.GenCache
`existsCacheEntry, expireCacheEntries, finalize, freeCacheItems, freeCacheSpace, getCacheValue, getDefaultExpire, getLock, getMaxSize, getRecycle, getResString, isCacheEnabled, isCacheEntryExpired, logHitCounts, purge, removeCacheValue, setCacheEntry, setCacheValue, setDefaultExpire, setLock, setMaxSize, setRecycle`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileCache

    public FileCache(long l,
                     boolean flag,
                     boolean flag1,
                     long l1,
                     boolean flag2,
                     boolean flag3,
                     int i,
                     int j,
                     CacheLog cachelog)

Method Detail

### dispose

    protected void dispose()

  Overrides:
    `dispose` in class `GenCache`

### flush

    public void flush()

### getCacheURL

    protected java.lang.Object getCacheURL(java.net.URL url)

  Overrides:
    `getCacheURL` in class `URLCache`

### getLoad

    public boolean getLoad()

### loadIndex

    public void loadIndex()

### logCacheMessage

    protected void logCacheMessage(java.lang.String s,
                                   int i)

  Overrides:
    `logCacheMessage` in class `GenCache`

### readURLInputStream

    protected byte[] readURLInputStream(java.net.URL url,
                                        java.io.InputStream inputstream,
                                        long l,
                                        int i,
                                        boolean flag,
                                        long l1)
                                 throws java.io.IOException

  Overrides:
    `readURLInputStream` in class `URLCache`

### readURLLocalFile

    protected byte[] readURLLocalFile(java.net.URL url,
                                      boolean flag,
                                      long l)
                               throws java.io.IOException

  Overrides:
    `readURLLocalFile` in class `URLCache`

### removeCacheEntry

    protected void removeCacheEntry(GenCacheEntry gencacheentry)

  Overrides:
    `removeCacheEntry` in class `GenCache`

### setLoad

    public void setLoad(boolean flag)

### verifyCacheValue

    protected boolean verifyCacheValue(GenCacheEntry gencacheentry)

  Overrides:
    `verifyCacheValue` in class `GenCache`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD